%define name	plf-theme
%define version	1.0.0
%define release	%mkrel 6
%define scriptdir	%{_datadir}/bootsplash/scripts/

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	PLF bootsplash themes
Source:		%{name}-%{version}.tar.bz2
License:	PLF License
Group:		System/Kernel and hardware
Url:		http://plf.zarb.org/logo.php
BuildRequires:	ImageMagick
Requires:	bootsplash
Provides:	mandrake-theme
Provides:	plf_theme
Obsoletes:	plf_theme
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Additional themes for bootsplash:
- plf1
- plf2
- plf5
(original pictures made for PLF by David Caron)

%prep
%setup -q

%build
make themes

%install
rm -rf %{buildroot}
%makeinstall_std

%post
# update current theme
if [[ -x %scriptdir/switch-themes ]]; then 
    %scriptdir/switch-themes -u
fi
 
%postun
# switch back to Mandrake theme
if [[ -x %scriptdir/switch-themes ]]; then 
    %scriptdir/switch-themes Mandrake
fi

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%doc README

%{_datadir}/bootsplash/themes/plf1
%config(noreplace) %{_sysconfdir}/bootsplash/themes/plf1

%{_datadir}/bootsplash/themes/plf2
%config(noreplace) %{_sysconfdir}/bootsplash/themes/plf2

%{_datadir}/bootsplash/themes/plf5
%config(noreplace) %{_sysconfdir}/bootsplash/themes/plf5

%changelog
* Fri Jan 27 2006 Guillaume Rousse <guillomovitch@zarb.org> 1.0.0-6plf
- %%mkrel
- spec cleanup

* Sun Nov 28 2004 Guillaume Rousse <guillomovitch@zarb.org> 1.0.0-5plf
- fix URL (Frdric Forjan <fforjan@linuxmail.org>) 

* Sun Nov 28 2004 Guillaume Rousse <guillomovitch@zarb.org> 1.0.0-4plf
- fix license 
- change name to plf-theme
- clean files section

* Fri Jan 30 2004 Guillaume Rousse <guillomovitch@zarb.org> 1.0.0-3plf
- provide mandrake_theme
- plf release extension

* Wed Nov 19 2003 Olivier Blin <oliv.blin@laposte.net> 1.0.0-2mdk
- new verbose pictures
- smoother vt pictures
- some cleanups in scripts

* Wed Oct 29 2003 Olivier Blin <oliv.blin@laposte.net> 1.0.0-1mdk
- initial realease for PLF
- bootsplash themes plf1, plf2 and plf5 from plf.zarb.org logos
- reuse Makefile made for bootsplash-themes
- allow rewritejpeg script to convert grayscale-like jpeg pictures
- new script to automagically build themes :-)
